# Type alias Compilation<C>

Compilation<C>: Common.Compilation & C["compilation"] & {
contracts: Project.LoadCompile.Batch.Contract<C>[];
sources: Project.LoadCompile.Batch.Source<C>[];
}

#### Type Parameters

- #### C extends Project.LoadCompile.Batch.Config

#### Type declaration

- ##### contracts: Project.LoadCompile.Batch.Contract<C>[]

- ##### sources: Project.LoadCompile.Batch.Source<C>[]

- Defined in packages/db/src/project/loadCompile/batch.ts:29

Generated using TypeDoc